> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# मॉडल एंडपॉइंट क्षमताएँ सूचीबद्ध करें

> किसी मॉडल के लिए उपलब्ध प्रदाता रूट, मोडैलिटी, पैरामीटर, उपलब्धता और कीमत देखें।

यदि आपके ऐप को मॉडल, प्रदाता, एंडपॉइंट और पैरामीटर संयोजन की उपलब्धता की पुष्टि करनी है, तो अनुरोध भेजने से पहले इस एंडपॉइंट का उपयोग करें।

`openai/gpt-5.4-mini` के लिए यह उपयोग करें:

```bash theme={null}
curl "https://api.phaseo.app/v1/models/openai/gpt-5.4-mini/endpoints" \
  -H "Authorization: Bearer $PHASEO_API_KEY"
```

हर पंक्ति एक प्रदाता और एंडपॉइंट क्षमता दर्शाती है। इसमें शामिल हैं:

* मानक क्षमता ID और सार्वजनिक API पथ
* प्रदाता ID, नाम और प्रदाता मॉडल स्लग
* इनपुट और आउटपुट मोडैलिटी
* समर्थित पैरामीटर नाम और संरचित पैरामीटर विवरण
* प्रदाता, मॉडल, क्षमता, रूटिंग और उपलब्धता की स्थिति
* रूट निर्धारित या समय-सीमित होने पर प्रभावी तारीखें
* एंडपॉइंट मूल्य सारांश

## नियोजित और निष्क्रिय रूट शामिल करें

डिफ़ॉल्ट `availability=active` केवल सार्वजनिक रूप से रूट किए जा सकने वाले रिकॉर्ड लौटाता है। आने वाले और निष्क्रिय रूट देखने के लिए `availability=all` उपयोग करें:

```bash theme={null}
curl "https://api.phaseo.app/v1/models/openai/gpt-5.4-mini/endpoints?availability=all" \
  -H "Authorization: Bearer $PHASEO_API_KEY"
```

जब तक `availability_status` `active` और `is_active_gateway` `true` न हो, तब तक प्रोडक्शन ट्रैफ़िक उस रिकॉर्ड पर रूट न करें।

## रूट फ़िल्टर करें

इनके लिए दोहराए जा सकने वाले या कॉमा से अलग किए गए फ़िल्टर उपयोग करें:

* `provider`
* `provider_status`
* `provider_routing_status`
* `model_routing_status`
* `capability_status`
* `provider_availability_status`
* `provider_availability_reason`
* `status`
* `supported_parameters`

उदाहरण के लिए, यह `temperature` समर्थित OpenAI रूट लौटाता है:

```bash theme={null}
curl "https://api.phaseo.app/v1/models/openai/gpt-5.4-mini/endpoints?provider=openai&supported_parameters=temperature" \
  -H "Authorization: Bearer $PHASEO_API_KEY"
```

## संबंधित एंडपॉइंट

* [मॉडल सूचीबद्ध करें](./models.mdx)
* [एंडपॉइंट सूचीबद्ध करें](./endpoints.mdx)


## OpenAPI

````yaml hi/openapi/v1/openapi.localized.yaml GET /models/{author}/{slug}/endpoints
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    OpenAI-संगत एंडपॉइंट के माध्यम से विभिन्न AI मॉडल तक पहुँचने के लिए एक गेटवे
    API।
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: वैश्विक रूटिंग
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /models/{author}/{slug}/endpoints:
    get:
      tags:
        - Gateway
      summary: मॉडल एंडपॉइंट क्षमताओं की सूची बनाएँ
      description: >-
        एक मॉडल के लिए प्रदाता-विशिष्ट एंडपॉइंट पंक्तियाँ लौटाता है, जिनमें
        सार्वजनिक पथ, मोडैलिटी, समर्थित पैरामीटर, उपलब्धता, रूटिंग स्थिति,
        प्रदाता मॉडल slug और एंडपॉइंट मूल्य सारांश शामिल हैं।
      operationId: listModelEndpoints
      parameters:
        - name: author
          in: path
          required: true
          description: मॉडल लेखक या संगठन का सेगमेंट।
          schema:
            type: string
        - name: slug
          in: path
          required: true
          description: मॉडल slug सेगमेंट।
          schema:
            type: string
        - name: provider
          in: query
          description: प्रदाता ID के अनुसार फ़िल्टर करें।
          schema:
            type: array
            items:
              type: string
        - name: provider_status
          in: query
          description: प्रदाता रोलआउट स्थिति के अनुसार फ़िल्टर करें।
          schema:
            type: array
            items:
              type: string
        - name: provider_routing_status
          in: query
          description: प्रदाता रूटिंग स्थिति के अनुसार फ़िल्टर करें।
          schema:
            type: array
            items:
              type: string
        - name: model_routing_status
          in: query
          description: मॉडल रूटिंग स्थिति के अनुसार फ़िल्टर करें।
          schema:
            type: array
            items:
              type: string
        - name: capability_status
          in: query
          description: प्रदाता क्षमता स्थिति के अनुसार फ़िल्टर करें।
          schema:
            type: array
            items:
              type: string
        - name: provider_availability_status
          in: query
          description: प्रदाता उपलब्धता स्थिति के अनुसार फ़िल्टर करें।
          schema:
            type: array
            items:
              type: string
        - name: provider_availability_reason
          in: query
          description: प्रदाता उपलब्धता कारण के अनुसार फ़िल्टर करें।
          schema:
            type: array
            items:
              type: string
        - name: status
          in: query
          description: मॉडल की canonical लाइफ़साइकिल स्थिति के अनुसार फ़िल्टर करें।
          schema:
            type: array
            items:
              type: string
        - name: supported_parameters
          in: query
          description: >-
            समर्थित पैरामीटर नामों या alias के अनुसार एंडपॉइंट पंक्तियाँ फ़िल्टर
            करें।
          schema:
            type: array
            items:
              type: string
        - name: availability
          in: query
          description: >-
            `active` सार्वजनिक रूप से रूट किए जा सकने वाले एंडपॉइंट पंक्तियाँ
            लौटाता है; `all` में जल्द आने वाली और निष्क्रिय पंक्तियाँ भी शामिल
            हैं।
          schema:
            type: string
            enum:
              - active
              - all
            default: active
      responses:
        '200':
          description: मॉडल एंडपॉइंट क्षमता पंक्तियाँ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelEndpointsResponse'
        '400':
          description: अमान्य अनुरोध पैरामीटर
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestResponse'
        '401':
          description: अनधिकृत
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: अनुरोधित उपलब्धता और प्रदाता फ़िल्टर के लिए मॉडल नहीं मिला
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: त्रुटि
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ModelEndpointsResponse:
      type: object
      required:
        - ok
        - id
        - name
        - description
        - organization
        - modalities
        - availability_mode
        - endpoints
      properties:
        ok:
          type: boolean
          enum:
            - true
        id:
          type: string
        name:
          type: string
        description:
          type: string
        organization:
          $ref: '#/components/schemas/GatewayModelOrganization'
        modalities:
          $ref: '#/components/schemas/GatewayModalities'
        availability_mode:
          type: string
          enum:
            - active
            - all
        endpoints:
          type: array
          items:
            $ref: '#/components/schemas/ModelEndpointCapability'
      additionalProperties: false
    InvalidRequestResponse:
      type: object
      required:
        - ok
        - error
        - message
      properties:
        ok:
          type: boolean
          enum:
            - false
          example: false
        error:
          type: string
          example: invalid_request
        message:
          type: string
          example: Invalid request parameters.
        max_offset:
          type: integer
          minimum: 0
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        ok:
          type: boolean
          example: false
        error:
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
          example: error_type
        message:
          type: string
          example: Human-readable error message
        description:
          type: string
          example: Additional error details.
        generation_id:
          type: string
          example: G-abc123
        status_code:
          type: integer
          example: 502
        error_type:
          type: string
          enum:
            - user
            - system
          example: system
        error_origin:
          type: string
          enum:
            - user
            - gateway
            - upstream
          example: upstream
        reason:
          type: string
          example: all_candidates_failed
        attempt_count:
          type: integer
          example: 2
        failed_providers:
          type: array
          items:
            type: string
          example:
            - google-ai-studio
            - openai
        failed_statuses:
          type: array
          items:
            type: integer
          example:
            - 403
            - 429
        upstream_error:
          $ref: '#/components/schemas/ErrorUpstreamError'
        failure_sample:
          type: array
          items:
            $ref: '#/components/schemas/ErrorFailureSampleItem'
        provider_failure_diagnostics:
          $ref: '#/components/schemas/ErrorProviderFailureDiagnostics'
        routing_diagnostics:
          $ref: '#/components/schemas/ErrorRoutingDiagnostics'
        provider_candidate_diagnostics:
          $ref: '#/components/schemas/ErrorProviderCandidateDiagnostics'
        provider_enablement:
          $ref: '#/components/schemas/ErrorProviderEnablementDiagnostics'
        missing_pricing_providers:
          type: array
          items:
            type: string
        provider_payment_required_provider:
          type: string
          example: openai
        provider_payment_required_support_notice:
          type: string
          example: >-
            Our upstream provider billing appears to be unavailable. If this
            persists, contact support.
        details:
          type: array
          items:
            type: object
            additionalProperties: true
      additionalProperties: true
    GatewayModelOrganization:
      type: object
      nullable: true
      required:
        - id
        - name
        - color
      properties:
        id:
          type: string
        name:
          type: string
          nullable: true
        color:
          type: string
          nullable: true
    GatewayModalities:
      type: object
      required:
        - input
        - output
      properties:
        input:
          type: array
          items:
            type: string
        output:
          type: array
          items:
            type: string
    ModelEndpointCapability:
      type: object
      required:
        - id
        - endpoint
        - capability_id
        - public_path
        - collection
        - provider
        - model
        - routable
        - status
        - status_reason
        - modalities
        - capabilities
        - routing
        - effective
        - pricing
      properties:
        id:
          type: string
          example: openai:responses
        endpoint:
          type: string
          example: responses
        capability_id:
          type: string
          example: responses
        public_path:
          type: string
          example: /v1/responses
        collection:
          type: string
          enum:
            - text
            - images
            - video
            - audio
            - embeddings
            - rerank
            - moderation
            - ocr
            - music
            - batch
            - files
        provider:
          type: object
          required:
            - id
            - name
          properties:
            id:
              type: string
              example: openai
            name:
              type: string
              nullable: true
              example: OpenAI
        model:
          type: string
          nullable: true
          example: gpt-5.4-mini
        routable:
          type: boolean
        status:
          type: string
          enum:
            - active
            - coming_soon
            - inactive
        status_reason:
          $ref: '#/components/schemas/GatewayProviderAvailabilityReason'
        modalities:
          $ref: '#/components/schemas/GatewayModalities'
        capabilities:
          $ref: '#/components/schemas/GatewayCapabilities'
        routing:
          type: object
          required:
            - provider
            - model
            - capability
          properties:
            provider:
              $ref: '#/components/schemas/GatewayRoutingStatus'
            model:
              $ref: '#/components/schemas/GatewayRoutingStatus'
            capability:
              $ref: '#/components/schemas/GatewayCapabilityStatus'
        effective:
          type: object
          required:
            - from
            - to
          properties:
            from:
              type: string
              nullable: true
            to:
              type: string
              nullable: true
        pricing:
          $ref: '#/components/schemas/GatewayPricing'
    ErrorUpstreamError:
      type: object
      properties:
        code:
          type: string
          nullable: true
          example: PERMISSION_DENIED
        message:
          type: string
          nullable: true
          example: The caller does not have permission.
        description:
          type: string
          nullable: true
        param:
          type: string
          nullable: true
    ErrorFailureSampleItem:
      type: object
      properties:
        provider:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        status:
          type: integer
          nullable: true
        upstream_error_code:
          type: string
          nullable: true
        upstream_error_message:
          type: string
          nullable: true
        upstream_error_description:
          type: string
          nullable: true
        upstream_error_param:
          type: string
          nullable: true
        upstream_payload_preview:
          type: string
          nullable: true
        retryable:
          type: boolean
          nullable: true
      additionalProperties: true
    ErrorProviderFailureDiagnostics:
      type: object
      properties:
        category:
          type: string
          enum:
            - credentials_not_configured
            - credentials_invalid_or_forbidden
            - provider_access_missing
            - region_or_project_restriction
            - model_unavailable_for_endpoint
            - rate_limited
            - server_error
        hint:
          type: string
        provider:
          type: string
          nullable: true
    ErrorRoutingDiagnostics:
      type: object
      properties:
        filterStages:
          type: array
          items:
            type: object
            properties:
              stage:
                type: string
              beforeCount:
                type: integer
              afterCount:
                type: integer
              droppedProviders:
                type: array
                items:
                  type: object
                  properties:
                    providerId:
                      type: string
                      nullable: true
                    reason:
                      type: string
                      nullable: true
                  additionalProperties: true
            additionalProperties: true
      additionalProperties: true
    ErrorProviderCandidateDiagnostics:
      type: object
      properties:
        totalProviders:
          type: integer
        supportsEndpointCount:
          type: integer
        candidateCount:
          type: integer
        droppedUnsupportedEndpoint:
          type: array
          items:
            type: string
        droppedMissingAdapter:
          type: array
          items:
            type: object
            properties:
              providerId:
                type: string
                nullable: true
              endpoint:
                type: string
                nullable: true
            additionalProperties: true
      additionalProperties: true
    ErrorProviderEnablementDiagnostics:
      type: object
      properties:
        capability:
          type: string
        providersBefore:
          type: array
          items:
            type: string
        providersAfter:
          type: array
          items:
            type: string
        dropped:
          type: array
          items:
            type: object
            properties:
              providerId:
                type: string
                nullable: true
              reason:
                type: string
                nullable: true
            additionalProperties: true
      additionalProperties: true
    GatewayProviderAvailabilityReason:
      type: string
      enum:
        - active
        - preview_only
        - gated
        - access_limited
        - region_limited
        - project_limited
        - paused
        - soft_blocked
        - deranked_lvl1
        - deranked_lvl2
        - deranked_lvl3
        - internal_testing
        - scheduled
        - coming_soon
        - provider_disabled
        - model_disabled
        - capability_disabled
        - provider_not_ready
        - provider_inactive
        - inactive
        - retired
    GatewayCapabilities:
      type: object
      required:
        - parameters
        - parameter_details
      properties:
        endpoints:
          type: array
          items:
            type: string
        parameters:
          type: array
          items:
            type: string
        parameter_details:
          $ref: '#/components/schemas/SupportedParameterDetails'
    GatewayRoutingStatus:
      type: string
      enum:
        - active
        - deranked_lvl1
        - deranked_lvl2
        - deranked_lvl3
        - disabled
    GatewayCapabilityStatus:
      type: string
      enum:
        - active
        - coming_soon
        - deranked_lvl1
        - deranked_lvl2
        - deranked_lvl3
        - disabled
        - internal_testing
    GatewayPricing:
      type: object
      required:
        - pricing_plan
        - meters
      properties:
        pricing_plan:
          type: string
          enum:
            - standard
        meters:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/GatewayPricingMeter'
    SupportedParameterDetails:
      type: object
      description: >-
        अनुरोध पैरामीटर के लिए संरचित सीमाएँ और प्रदाता समर्थन, पैरामीटर नाम के
        अनुसार कुंजीबद्ध।
      additionalProperties:
        type: object
        additionalProperties: true
    GatewayPricingMeter:
      type: object
      nullable: true
      required:
        - provider_id
        - unit
        - unit_size
        - price_per_unit
        - currency
      properties:
        provider_id:
          type: string
        unit:
          type: string
        unit_size:
          type: number
          minimum: 0
          exclusiveMinimum: true
        price_per_unit:
          type: string
        currency:
          type: string
          enum:
            - USD
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer टोकन से प्रमाणीकरण

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.